Subject: bug#9535: sunpro and -library=stdcxx4

From: Marc Glisse <[email-masked]>
Date: Mon, 3 Oct 2011 20:11:00 +0200 (CEST)

On Mon, 3 Oct 2011, Peter O'Gorman wrote:

> On 09/17/2011 05:19 AM, Marc Glisse wrote:
>> Hello,
>> 
>> there was a commit in 2006 to support the sunpro option -library=stlport4:
>> 
>> 2006-08-01 Albert Chin <[email-masked]>
>> 
>> * libltdl/m4/libtool.m4 (_LT_SYS_HIDDEN_LIBDEPS) [ solaris ]:
>> Don't set $postdeps to "-lCstd -lCrun" if
>> "-library=stlport4" set in CXXFLAGS as stlport4 C++
>> library incompatible with Cstd C++ library. Use
>> '-library=Cstd -library=Crun' instead of '-lCstd -lCrun'.
>> 
>> 
>> This compiler now also supports one more alternative (solaris-only):
>> -library=stdcxx4
>> I assume it should receive the same treatment as -library=stlport4 ?
>
> Is this all that's required?

I would guess so, but I don't currently have a solaris 11 handy to check. 
In any case it seems rather safe... (if user specifies -library=stdcxx4, 
don't add -library=Cstd which is incompatible)

The option is documented here:
http://download.oracle.com/docs/cd/E18659_01/html/821-1383/gkcai.html

-- 
Marc Glisse